namespace skyscraper5.Skyscraper.Gps
{
	public class DummyGpsReceiver : IGpsReceiver
	{
		private readonly bool enabled;
		private readonly GpsCoordinate coordinate;

		public DummyGpsReceiver(bool enabled, float lat, float lon)
		{
			this.enabled = enabled;
			this.coordinate = new GpsCoordinate(lat, lon);
		}

		public void Start()
		{
			
		}

		public void Stop()
		{
			
		}

		public bool HasLock => enabled;
		public GpsCoordinate Coordinate => coordinate;
		public bool ProvidesAdditionalNmeaData => false;
		public AdditionalNmeaData AdditionalNmeaData => null;
	}
}
